local SMWInputs = API.load("SMWInputs");
local t = 0

local function formatTime(t)
	realMiliseconds = math.floor(t*15.6);
	miliseconds = realMiliseconds%1000;
	realSeconds = math.floor(realMiliseconds/1000);
	seconds = realSeconds%60;
	realMinutes = math.floor(realSeconds/60);
	minutes = realMinutes%60;
	realHours = math.floor(realMinutes/60);
	hours = realHours%24;
	days = math.floor(realHours/24)

	if hours < 10 then
		hours = "0"..tostring(hours);
	end

	if minutes < 10 then
		minutes = "0"..tostring(minutes);
	end

	if seconds < 10 then
		seconds = "0"..tostring(seconds);
	end

	if miliseconds < 10 then
		miliseconds = "00"..tostring(miliseconds);
	elseif miliseconds < 100 then
		miliseconds = "0"..tostring(miliseconds);
	end
	
	if days >= 1 then
		displayTime = tostring(days) .. ":" .. tostring(hours) .. ":" .. tostring(minutes) .. ":" .. tostring(seconds) .. "." .. tostring(miliseconds)
	elseif realHours >= 1 then
		displayTime = tostring(hours) .. ":" .. tostring(minutes) .. ":" .. tostring(seconds) .. "." .. tostring(miliseconds)
	elseif realHours < 1 then
		displayTime = tostring(minutes) .. ":" .. tostring(seconds) .. "." .. tostring(miliseconds)
	end
	return displayTime
end

function onDraw()
	if SaveData["int"] ~= true then
		SaveData["int"] = true
		if SaveData["Time"] == nil or SaveData["Time"] == 0 then SaveData["Time"] = 1 end
		t = 1
		if SaveData["Fin"] == nil then SaveData["Fin"] = 0 end
	else
		if Level.winState() == nil or Level.winState() == 0 then
			t = t + 1
		end
		if SaveData["Fin"] == nil or SaveData["Fin"] == 0 then
			SaveData["Time"] = SaveData["Time"] + 1
		end
	end
	Text.printWP(formatTime(t), 300, 568, 5)
	Text.printWP(formatTime(SaveData["Time"]), 300, 584, 5)
end

function onEvent(eventname)
	if eventname == "Boss Dead" then SaveData["Fin"] = 1 end
end